<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class LockChatAction extends \Google\Protobuf\Internal\Message
{
    


    protected $locked = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getLocked()
    {
        return isset($this->locked) ? $this->locked : false;
    }

    public function hasLocked()
    {
        return isset($this->locked);
    }

    public function clearLocked()
    {
        unset($this->locked);
    }

    




    public function setLocked($var)
    {
        GPBUtil::checkBool($var);
        $this->locked = $var;

        return $this;
    }

}

